<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ApplicantDocumentDTO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ApplicantDocumentDTO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ApplicantDocumentDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/demographic/AddressDTO.html" title="class in io.mosip.registration.dto.demographic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html" target="_top">Frames</a></li>
<li><a href="ApplicantDocumentDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto.demographic</div>
<h2 title="Class ApplicantDocumentDTO" class="title">Class ApplicantDocumentDTO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.BaseDTO</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.demographic.ApplicantDocumentDTO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ApplicantDocumentDTO</span>
extends <a href="../../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">BaseDTO</a></pre>
<div class="block">This class used to capture the documents, photograph, exceptional photograph
 and Acknowledgement Receipt of the Individual.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dinesh Asokan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#ApplicantDocumentDTO--">ApplicantDocumentDTO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getAcknowledgeReceipt--">getAcknowledgeReceipt</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getAcknowledgeReceiptName--">getAcknowledgeReceiptName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getCompressedFacePhoto--">getCompressedFacePhoto</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getDocuments--">getDocuments</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getExceptionPhoto--">getExceptionPhoto</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getExceptionPhotoName--">getExceptionPhotoName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getNumRetry--">getNumRetry</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getPhoto--">getPhoto</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getPhotographName--">getPhotographName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#getQualityScore--">getQualityScore</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#isHasExceptionPhoto--">isHasExceptionPhoto</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setAcknowledgeReceipt-byte:A-">setAcknowledgeReceipt</a></span>(byte[]&nbsp;acknowledgeReceipt)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setAcknowledgeReceiptName-java.lang.String-">setAcknowledgeReceiptName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;acknowledgeReceiptName)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setCompressedFacePhoto-byte:A-">setCompressedFacePhoto</a></span>(byte[]&nbsp;compressedFacePhoto)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setDocuments-java.util.Map-">setDocuments</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&gt;&nbsp;documents)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setExceptionPhoto-byte:A-">setExceptionPhoto</a></span>(byte[]&nbsp;exceptionPhoto)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setExceptionPhotoName-java.lang.String-">setExceptionPhotoName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;exceptionPhotoName)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setHasExceptionPhoto-boolean-">setHasExceptionPhoto</a></span>(boolean&nbsp;hasExceptionPhoto)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setNumRetry-int-">setNumRetry</a></span>(int&nbsp;numRetry)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setPhoto-byte:A-">setPhoto</a></span>(byte[]&nbsp;photo)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setPhotographName-java.lang.String-">setPhotographName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;photographName)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html#setQualityScore-double-">setQualityScore</a></span>(double&nbsp;qualityScore)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ApplicantDocumentDTO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ApplicantDocumentDTO</h4>
<pre>public&nbsp;ApplicantDocumentDTO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDocuments--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocuments</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&gt;&nbsp;getDocuments()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the documents</dd>
</dl>
</li>
</ul>
<a name="setDocuments-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDocuments</h4>
<pre>public&nbsp;void&nbsp;setDocuments(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&gt;&nbsp;documents)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>documents</code> - the documents to set</dd>
</dl>
</li>
</ul>
<a name="getPhotographName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPhotographName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPhotographName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the photographName</dd>
</dl>
</li>
</ul>
<a name="setPhotographName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPhotographName</h4>
<pre>public&nbsp;void&nbsp;setPhotographName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;photographName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>photographName</code> - the photographName to set</dd>
</dl>
</li>
</ul>
<a name="getPhoto--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPhoto</h4>
<pre>public&nbsp;byte[]&nbsp;getPhoto()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the photo</dd>
</dl>
</li>
</ul>
<a name="setPhoto-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPhoto</h4>
<pre>public&nbsp;void&nbsp;setPhoto(byte[]&nbsp;photo)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>photo</code> - the photo to set</dd>
</dl>
</li>
</ul>
<a name="getCompressedFacePhoto--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompressedFacePhoto</h4>
<pre>public&nbsp;byte[]&nbsp;getCompressedFacePhoto()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the compressedFacePhoto</dd>
</dl>
</li>
</ul>
<a name="setCompressedFacePhoto-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCompressedFacePhoto</h4>
<pre>public&nbsp;void&nbsp;setCompressedFacePhoto(byte[]&nbsp;compressedFacePhoto)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>compressedFacePhoto</code> - the compressed face photo to set</dd>
</dl>
</li>
</ul>
<a name="isHasExceptionPhoto--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHasExceptionPhoto</h4>
<pre>public&nbsp;boolean&nbsp;isHasExceptionPhoto()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the hasExceptionPhoto</dd>
</dl>
</li>
</ul>
<a name="setHasExceptionPhoto-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHasExceptionPhoto</h4>
<pre>public&nbsp;void&nbsp;setHasExceptionPhoto(boolean&nbsp;hasExceptionPhoto)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hasExceptionPhoto</code> - the hasExceptionPhoto to set</dd>
</dl>
</li>
</ul>
<a name="getExceptionPhoto--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExceptionPhoto</h4>
<pre>public&nbsp;byte[]&nbsp;getExceptionPhoto()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exceptionPhoto</dd>
</dl>
</li>
</ul>
<a name="setExceptionPhoto-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExceptionPhoto</h4>
<pre>public&nbsp;void&nbsp;setExceptionPhoto(byte[]&nbsp;exceptionPhoto)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>exceptionPhoto</code> - the exceptionPhoto to set</dd>
</dl>
</li>
</ul>
<a name="getExceptionPhotoName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExceptionPhotoName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExceptionPhotoName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exceptionPhotoName</dd>
</dl>
</li>
</ul>
<a name="setExceptionPhotoName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExceptionPhotoName</h4>
<pre>public&nbsp;void&nbsp;setExceptionPhotoName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;exceptionPhotoName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>exceptionPhotoName</code> - the exceptionPhotoName to set</dd>
</dl>
</li>
</ul>
<a name="getQualityScore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualityScore</h4>
<pre>public&nbsp;double&nbsp;getQualityScore()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the qualityScore</dd>
</dl>
</li>
</ul>
<a name="setQualityScore-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQualityScore</h4>
<pre>public&nbsp;void&nbsp;setQualityScore(double&nbsp;qualityScore)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>qualityScore</code> - the qualityScore to set</dd>
</dl>
</li>
</ul>
<a name="getNumRetry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumRetry</h4>
<pre>public&nbsp;int&nbsp;getNumRetry()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the numRetry</dd>
</dl>
</li>
</ul>
<a name="setNumRetry-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNumRetry</h4>
<pre>public&nbsp;void&nbsp;setNumRetry(int&nbsp;numRetry)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numRetry</code> - the numRetry to set</dd>
</dl>
</li>
</ul>
<a name="getAcknowledgeReceipt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAcknowledgeReceipt</h4>
<pre>public&nbsp;byte[]&nbsp;getAcknowledgeReceipt()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the acknowledgeReceipt</dd>
</dl>
</li>
</ul>
<a name="setAcknowledgeReceipt-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAcknowledgeReceipt</h4>
<pre>public&nbsp;void&nbsp;setAcknowledgeReceipt(byte[]&nbsp;acknowledgeReceipt)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>acknowledgeReceipt</code> - the acknowledgeReceipt to set</dd>
</dl>
</li>
</ul>
<a name="getAcknowledgeReceiptName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAcknowledgeReceiptName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAcknowledgeReceiptName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the acknowledgeReceiptName</dd>
</dl>
</li>
</ul>
<a name="setAcknowledgeReceiptName-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAcknowledgeReceiptName</h4>
<pre>public&nbsp;void&nbsp;setAcknowledgeReceiptName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;acknowledgeReceiptName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>acknowledgeReceiptName</code> - the acknowledgeReceiptName to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ApplicantDocumentDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/demographic/AddressDTO.html" title="class in io.mosip.registration.dto.demographic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html" target="_top">Frames</a></li>
<li><a href="ApplicantDocumentDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
